## org.apache.commons.math3.geometry.partitioning
Class Characterization<S extends Space>

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.Characterization<S>

Type Parameters:
  `S` - Type of the space.

     class Characterization<S extends Space>

extends Object

Characterization of a sub-hyperplane.

Since:
  3.0
Version:
  $Id: Characterization.java 1244107 2012-02-14 16:17:55Z erans $

Field Summary
`private SubHyperplane<S>` `in` Parts of the sub-hyperplane that have inside cells on the tested side.
`private SubHyperplane<S>` `out` Parts of the sub-hyperplane that have outside cells on the tested side.

Constructor Summary
`Characterization()` Create an empty characterization of a sub-hyperplane.

Method Summary
`void` `add(SubHyperplane<S> sub, boolean inside)` Add a part of the sub-hyperplane known to have inside or outside cell on the tested side.
`SubHyperplane<S>` `getIn()` Get the parts of the sub-hyperplane that have inside cells on the tested side.
`SubHyperplane<S>` `getOut()` Get the parts of the sub-hyperplane that have outside cells on the tested side.
`boolean` `hasIn()` Check if the sub-hyperplane that have inside cells on the tested side.
`boolean` `hasOut()` Check if the sub-hyperplane that have outside cells on the tested side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    private SubHyperplane<S extends Space> in

  Parts of the sub-hyperplane that have inside cells on the tested side.

### out

    private SubHyperplane<S extends Space> out

  Parts of the sub-hyperplane that have outside cells on the tested side.

Constructor Detail

### Characterization

    public Characterization()

  Create an empty characterization of a sub-hyperplane.

Method Detail

### hasIn

    public boolean hasIn()

  Check if the sub-hyperplane that have inside cells on the tested side.

  Returns:
    true if the sub-hyperplane that have inside cells on the tested side

### getIn

    public SubHyperplane<S> getIn()

  Get the parts of the sub-hyperplane that have inside cells on the tested side.

  Returns:
    parts of the sub-hyperplane that have inside cells on the tested side

### hasOut

    public boolean hasOut()

  Check if the sub-hyperplane that have outside cells on the tested side.

  Returns:
    true if the sub-hyperplane that have outside cells on the tested side

### getOut

    public SubHyperplane<S> getOut()

  Get the parts of the sub-hyperplane that have outside cells on the tested side.

  Returns:
    parts of the sub-hyperplane that have outside cells on the tested side

### add

    public void add(SubHyperplane<S> sub,
                    boolean inside)

  Add a part of the sub-hyperplane known to have inside or outside cell on the tested side.

  Parameters:
    `sub` - part of the sub-hyperplane to add
    `inside` - if true, the part added as an inside cell on the tested side, otherwise it has an outside cell on the tested side

Copyright (c) 2003-2013 Apache Software Foundation